Skip to main content
GET
/
api
/
v1
/
threats
/
{id}
Get threat by ID
curl --request GET \
  --url https://api.ocean.security/api/v1/threats/{id} \
  --header 'X-Api-Key: <api-key>'
{
  "results": {
    "detection_time": "1970-01-01T11:59:59.000Z",
    "id": "<string>",
    "recipient_email": "<string>",
    "recipient_name": "<string>",
    "remediation_time": "1970-01-01T11:59:59.000Z",
    "sender_email": "<string>",
    "sender_name": "<string>",
    "source": "<string>",
    "subject": "<string>",
    "threat_indicators": [
      {
        "indicator_type": "<string>"
      }
    ],
    "threat_type": "<string>",
    "time": "1970-01-01T11:59:59.000Z"
  },
  "status": 123
}

Authorizations

X-Api-Key
string
header
required

API key for authentication

Headers

X-Api-Key
string
required

Authentication API Key

Path Parameters

id
string
required

Unique identifier of the threat to retrieve

Response

OK

results
object
status
integer